<?php
/*======================================================================*\
|| #################################################################### ||
|| #  || vBulletin 3.8.4 || LAST UPDATE IN: [05:15 AM 09:04:2010] ||  # ||
|| #   Show Private Messages || BY : Gulf Arabs [www.8rbb.com]        # ||
|| # --------------------- BY : NsR       ---------------------       # ||
|| #     admin@8rbb.com || http://www.8rbb.com                        # ||
|| #################################################################### ||
\*======================================================================*/

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@error_reporting(E_ALL & ~E_NOTICE);

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@ هنا التعديل في خيارات العرض @@@@@@@@@@@@@@@@@@@@@@@@@@@@
$Max = '250';
$Exe = '0';
$Adm = '1,270,2';
$Mod = '1,270,2';
$Fol = '-1';

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
$Not = '99([0-9]+)|05([0-9]+)|http|www|vb|forum|hotmail|live|msn|yahoo';

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@require_once('./global.php');

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
if (!@in_array($vbulletin->userinfo['userid'], @preg_split('#\s*,\s*#s', $Adm, -1, @PREG_SPLIT_NO_EMPTY)) AND !@in_array($vbulletin->userinfo['userid'], @preg_split('#\s*,\s*#s', $Mod, -1, @PREG_SPLIT_NO_EMPTY))) { @print_cp_no_permission(); }

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
if (!$Fol) { $Fol = $Max; }

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@print_cp_header('إدارة متابعة الرسائل الخاصة - خليج العرب');

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
if (@empty($_REQUEST['do'])) { $_REQUEST['do'] = 'Home'; }

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
if ($_REQUEST['do'] == 'Home') {
$vbulletin->input->clean_array_gpc('r', array('u' => TYPE_INT));
@print_form_header('pm_8rbb', 'Move');
if ($vbulletin->GPC['u']) {
$pm_8rbb = $db->query_read("SELECT pm.*, pmtext.*, user.username AS name FROM " . TABLE_PREFIX . "pm AS pm 
LEFT JOIN " . TABLE_PREFIX . "pmtext AS pmtext ON(pmtext.pmtextid = pm.pmtextid) 
LEFT JOIN ".TABLE_PREFIX."user AS user ON (user.userid = pm.userid) 
WHERE pmtext.fromuserid = " . $vbulletin->GPC['u'] . " AND pm.folderid NOT IN($Fol) 
ORDER BY dateline DESC LIMIT " . @intval($Max) . "");
} else {
$pm_8rbb = $db->query_read("SELECT pm.*, pmtext.*, user.username AS name FROM " . TABLE_PREFIX . "pm AS pm 
LEFT JOIN " . TABLE_PREFIX . "pmtext AS pmtext ON(pmtext.pmtextid = pm.pmtextid) 
LEFT JOIN ".TABLE_PREFIX."user AS user ON (user.userid = pm.userid) 
WHERE pm.userid NOT IN (0,$Exe) AND pmtext.fromuserid NOT IN (0,$Exe) AND pm.folderid NOT IN($Fol) 
ORDER BY dateline DESC LIMIT " . @intval($Max) . "");
}
if ($db->num_rows($pm_8rbb)) {
@print_table_header("آخر <a href=\"?\">[ " . $db->num_rows($pm_8rbb) . " ]</a> رسالة خاصة");
@print_description_row("<table cellpadding=\"1\" cellspacing=\"1\" border=\"0\" width=\"100%\"><tr>
<td width=\"05%\" align=\"right\"><input type=\"checkbox\" name=\"allbox\" id=\"checkall_all\" title=\"Select All\" onclick=\"js_check_all(this.form)\" value=\"ON\" /></td>
<td width=\"05%\" align=\"right\">حذف</a></td>
<td width=\"35%\" align=\"right\">العنوان</a></td>
<td width=\"15%\" align=\"right\">من</a></td>
<td width=\"15%\" align=\"right\">إلى</a></td>
<td width=\"15%\" align=\"right\">التاريخ والوقت</td>
<td width=\"10%\" align=\"right\">الحالة</td>
</tr></table>");
} else {
@print_table_header("Empty");
}
while ($Pm = $db->fetch_array($pm_8rbb)) {
$Count ++;
$Pm['date'] = @vbdate($vbulletin->options['dateformat'], $Pm['dateline'], true) . ' ' . @vbdate($vbulletin->options['timeformat'], $Pm['dateline']);
if ($Pm['messageread'] == '0') { $Pm['read'] = "<font color='#FF0000'>جديدة</font>"; } else { $Pm['read'] = "<font color='#0000FF'>مقروءة</font>"; }
if ($Pm['folderid'] == '-1') { $Pm['read'] = "<font color='#000000'>Copy</font>"; }
if (@strlen($Pm['title']) > '50') { $Pm['title'] = @substr($Pm['title'], 0, 50) . ' ..'; }
if (@preg_match('#(' . $Not . ')#siU', $Pm['message'])) { $Pm['title'] = "<font color='#FF0000'><span style='background-color: #FFFFFF'>" . $Pm['title'] . "</span></font>"; }
$Pm['text'] = @htmlspecialchars_uni(@preg_replace(@array('#\[(.*)\]#siU', '#\:((m|[0-9]+))\:#siU', '#\|([0-9]+)\|#siU', '#(\t|\r|\n)+#si'), "\r", $Pm['message']));
if (@strlen($Pm['text']) > '500') { $Pm['text'] = @substr($Pm['text'], 0, 500); }
@print_description_row("<table cellpadding=\"1\" cellspacing=\"1\" border=\"0\" width=\"100%\"><tr>
<td width=\"05%\" align=\"right\"><input type=\"checkbox\" name=\"id[$Pm[pmid]]\" title=\"Select All\"></td>
<td width=\"05%\" align=\"right\"><a href=\"?do=Kill&amp;id=$Pm[pmid]\" title=\"Delete\">$Count</a></td>
<td width=\"35%\" align=\"right\"><a href=\"?do=Show&amp;id=$Pm[pmid]\" title=\"$Pm[text]\">$Pm[title]</a></td>
<td width=\"15%\" align=\"right\"><a href=\"?do=Home&amp;u=$Pm[fromuserid]\">$Pm[fromusername]</a></td>
<td width=\"15%\" align=\"right\"><a href=\"?do=Home&amp;u=$Pm[userid]\">$Pm[name]</a></td>
<td width=\"15%\" align=\"right\">$Pm[date]</td>
<td width=\"10%\" align=\"right\">$Pm[read]</td>
</tr></table>");
}
unset($pm);
$db->free_result($pm_8rbb);
if ($Count AND @in_array($vbulletin->userinfo['userid'], @preg_split('#\s*,\s*#s', $Adm, -1, @PREG_SPLIT_NO_EMPTY))) {
@print_table_break();
@print_submit_row($vbphrase['delete']);
}
}
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
if ($_REQUEST['do'] == 'Show') {
$vbulletin->input->clean_array_gpc('r', array('id' => TYPE_INT));
@print_form_header('pm_8rbb', 'Save');
$Pm = $db->query_first("SELECT pm.*, pmtext.*, user.username AS name FROM " . TABLE_PREFIX . "pm AS pm 
LEFT JOIN " . TABLE_PREFIX . "pmtext AS pmtext ON(pmtext.pmtextid = pm.pmtextid) 
LEFT JOIN ".TABLE_PREFIX."user AS user ON (user.userid = pm.userid) 
WHERE pm.userid NOT IN (0,$Exe) AND pmtext.fromuserid NOT IN (0,$Exe) AND pm.folderid NOT IN($Fol) AND pm.pmid = " . $vbulletin->GPC['id'] . "");

if ($Pm['pmtextid']) {
$Pm['date'] = @vbdate($vbulletin->options['dateformat'], $Pm['dateline'], true) . ' ' . @vbdate($vbulletin->options['timeformat'], $Pm['dateline']);
print("<script type=\"text/javascript\">function drawFrame() { myframe.style.display = 'block'; }</script>");
@require_once(DIR . '/includes/class_bbcode.php');
$bbcode_parser =& new vB_BbCodeParser($vbulletin, @fetch_tag_list());
   $Pm['messages'] = @preg_replace('#\[QUOTE\=(.*)\]#siU', "------------------------------------------------------------------------------------------------------------------------------\r QUOTE FROM : $1 \r", $Pm['message']);
   $Pm['messages'] = @str_replace("[/QUOTE]", "\r------------------------------------------------------------------------------------------------------------------------------\r", $Pm['messages']);
   $Pm['messages'] = @preg_replace('#\[(code|html|php)\](.*)\[\/(code|html|php)\]#siU', "\rCODE \\1:\r\\2\r", $Pm['messages']);
   $Pm['messages'] = @preg_replace('#\[(frame|poem|grade)(.*)\](.*)\[\/(frame|poem|grade)\]#siU', "\\3", $Pm['messages']);
   $Pm['messages'] = @preg_replace('#(\t|\r|\n)+#si', "\r", $Pm['messages']);
   $Pm['messages'] = $bbcode_parser->parse($Pm['messages'], false, true);
   $Pm['messages'] = @str_replace('images', '../images', $Pm['messages']);
@print_table_header("المرسل: $Pm[fromusername] // المرسل إليه: $Pm[name] // بتاريخ: $Pm[date]");
@print_description_row($Pm['title']);
@print_description_row($Pm['messages']);
if (@in_array($vbulletin->userinfo['userid'], @preg_split('#\s*,\s*#s', $Adm, -1, @PREG_SPLIT_NO_EMPTY))) {
@print_table_break();
@construct_hidden_code('id', $Pm['pmtextid']);
@construct_hidden_code('go', $vbulletin->GPC['id']);
@print_input_row('عنوان الرسالة', 'title', $Pm['title'], true, 119, '100', 'rtl');
@print_textarea_row('', 'message', $Pm['message'], 15, 120, true, true, 'rtl', 'code');
@print_submit_row($vbphrase['save']);
}
} else {
@print_table_header("Not Found Message");
}
}
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
if ($_REQUEST['do'] == 'Save') {
$vbulletin->input->clean_array_gpc('r', @array('id' => TYPE_INT, 'go' => TYPE_INT, 'title' => TYPE_STR, 'message' => TYPE_STR));
$vbulletin->GPC['title'] = @fetch_censored_text($vbulletin->GPC['title']);
$vbulletin->GPC['message'] = @fetch_censored_text($vbulletin->GPC['message']);
$db->query_write("UPDATE " . TABLE_PREFIX . "pmtext SET title = '" . $db->escape_string($vbulletin->GPC['title']) . "', message = '" . $db->escape_string($vbulletin->GPC['message']) . "' WHERE pmtextid = " . $vbulletin->GPC['id'] . "");
@print_form_header();
@print_description_row("<div align=\"center\"><a href=\"?do=Show&amp;id=" . $vbulletin->GPC['go'] . "\">[ Go To ]</a></div>");
@print_description_row("<script type=\"text/javascript\">location.href='?do=Show&amp;id=" . $vbulletin->GPC['go'] . "';</script>");
}
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
if ($_REQUEST['do'] == 'Kill') {
$vbulletin->input->clean_array_gpc('r', @array('id' => TYPE_INT));
$Us = $db->query_first("SELECT pmtextid, userid, messageread FROM " . TABLE_PREFIX . "pm WHERE pmid = " . $vbulletin->GPC['id'] . "");
if ($Us['messageread'] == '0') {
$db->query_write("UPDATE " . TABLE_PREFIX . "user SET pmtotal = pmtotal-1 WHERE userid = " . $Us['userid'] . "");
$db->query_write("UPDATE " . TABLE_PREFIX . "user SET pmunread = pmunread-1 WHERE userid = " . $Us['userid'] . "");
} else {
$db->query_write("UPDATE " . TABLE_PREFIX . "user SET pmtotal = pmtotal-1 WHERE userid = " . $Us['userid'] . "");
}
$db->query_write("DELETE FROM " . TABLE_PREFIX . "pmtext WHERE pmtextid = " . $Us['pmtextid'] . "");
$db->query_write("DELETE FROM " . TABLE_PREFIX . "pm WHERE pmid = " . $vbulletin->GPC['id'] . "");
@print_form_header();
@print_description_row("<div align=\"center\"><a href=\"?\">[ Go To ]</a></div>");
@print_description_row("<script type=\"text/javascript\">location.href='?';</script>");
}
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
if ($_REQUEST['do'] == 'Move') {
$vbulletin->input->clean_array_gpc('r', @array('id' => TYPE_ARRAY_UINT));
$All = @implode(',', @array_keys($vbulletin->GPC['id']));
$pm_8rbb = $db->query_read("SELECT pmid, pmtextid, userid, messageread FROM " . TABLE_PREFIX . "pm WHERE pmid IN(0,$All) ");
while($Pm = $db->fetch_array($pm_8rbb)) {
if ($Pm['messageread'] == '0') {
$db->query_write("UPDATE " . TABLE_PREFIX . "user SET pmtotal = pmtotal-1 WHERE userid = " . $Pm['userid'] . "");
$db->query_write("UPDATE " . TABLE_PREFIX . "user SET pmunread = pmunread-1 WHERE userid = " . $Pm['userid'] . "");
} else {
$db->query_write("UPDATE " . TABLE_PREFIX . "user SET pmtotal = pmtotal-1 WHERE userid = " . $Pm['userid'] . "");
}
$db->query_write("DELETE FROM " . TABLE_PREFIX . "pmtext WHERE pmtextid = " . $Pm['pmtextid'] . "");
$db->query_write("DELETE FROM " . TABLE_PREFIX . "pm WHERE pmid = " . $Pm['pmid'] . "");
}
@print_form_header();
@print_description_row("<div align=\"center\"><a href=\"?\">[ Go To ]</a></div>");
@print_description_row("<script type=\"text/javascript\">location.href='?';</script>");
}
// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@print_description_row("<div align=\"center\"><a target='_blank' href='http://www.8rbb.com' title='تم تعريب بعض الخواص بواسطة: خليج العرب'>[ BY : Gulf Arabs ]</a> - <a target='_blank' href='http://www.3hood.org' title='يقال انه برمجة مجهول والله اعلم'>[ Hack : MGHOOL ]</a></div>");

// @@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@@
@print_cp_footer();

/*=======================================================================*\
|| ##################################################################### ||
|| #    pm_8rbb.php ^*.|[( POWERED BY : 8rbb.com )]|.*^ 2010            # ||
|| ##################################################################### ||
\*=======================================================================*/
?>